<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$entry = new Entry;

$e = $entry->get((int) qg('id'));
$eqmt = new Equipment;
$equipment = $eqmt->get($e->equipment_id);

if (!$e)
{
	throw new UserException("Cette entrée n'existe pas.");
}

if ($entry->PossibilityDeleteEntry($e))
{
  $csrf_key = 'delete_entry_' . $e->id;

  $cancel_link = PLUGIN_URL . 'entrees/index.php';

  $entry_string = (string) $e->equipment_number . " " . $equipment->designation . " à la date du " . date_create_from_format(
    "Y-m-d", $e->entry_date)->format("d/m/y");

  $eqmt_name = $equipment->designation;

  $tpl->assign(compact('entry_string', 'eqmt_name', 'csrf_key', 'cancel_link'));

  $tpl->display(PLUGIN_ROOT . '/templates/entrees/supprimer_entree.tpl');

} else {
  throw new UserException(
		"Cette entrée ne peut pas être supprimée car ça rendrait impossible l'historique des entrées et sorties de « " . $equipment->designation . " ».");
}
